package require Dayswig_tcl
package provide libdaytcl 1.0

#
# map color graphic attributes into the hues specified, with different
# names, in the options database.
#
proc du_ga_color {ga} {
    upvar \#0 du_ga_color..map colormap
    if { ! [info exists colormap]} {
	foreach hue [du_option_names HUE_*] {
	    regsub HUE_ $hue DL_GA_ dl_ga
	    catch {set colormap([$dl_ga]) [du_option_value $hue]}
	}
    }
    return $colormap($ga)
}
