package require Dayswig_tcl
package provide libdaytcl 1.0

#
#  du_labelatoms.tcl -- give standard element labels to atoms in depiction
#


proc du_labelatoms {dep}  {
    # Return unhappy if molecule (or depiction) is the NULL_OB.
    set mol [dt_base $dep];
    if {"$mol" == "[NULL_OB]"} {
	return 0;
    }

    # Set labels for atoms based on atomic number.

    foreach atom [du_atoms $mol] {
	dt_setlabel1 $dep $atom [dt_symbol $atom];
    }
	
    # Return happy.

    return 1;
}
