package require Dayswig_tcl
package provide libdaytcl 1.0

#
# list the datatype normalizations defined by the daylight dt_datatype.h header 
# file.  These are all of the form DX_THOR_* except for DX_THOR_USER which is
# not a normalization.
#

proc du_list_norms {} {
    DT_DATATYPE_INCLUDED;
    set norms [info procs DX_THOR_*];
    foreach bogus {DX_THOR_USER} {
	set i [lsearch -exact $norms DX_THOR_USER];
	set norms [lreplace $norms $i $i];
    }
    return $norms;
}
