package require Dayswig_tcl
package provide libdaytcl 1.0

proc du_molecular_weight {smiles {amass du_normal_mass}} {
    set mol [dt_smilin $smiles];
    set hmass [du_molecular_weight {[H]} $amass]
    set amw 0;
    foreach atom [du_atoms $mol] {
	set amw [expr $amw+[$amass $atom]+[dt_imp_hcount $atom]*$hmass];
    }
    dt_dealloc $mol;
    return $amw;
}
