package require Dayswig_tcl
package provide libdaytcl 1.0

#
# expand an sos, sequence of strings, into a Tcl list
# and deallocate the sequence and the strings.  Well, only optionally
# deallocate the sequence and string.
#

proc du_sos_to_list {sos {keep_sos 0} {keep_string 0}} {
    set exp {};
    foreach s [du_sequence_to_list $sos 1] {
	lappend exp [dt_stringvalue $s];
	if { ! $keep_string} {
	    dt_dealloc $s;
	}
    }
    if { ! $keep_sos} {
	dt_dealloc $sos;
    }
    return $exp;
}

