package require Dayswig_tcl
package provide libdaytcl 1.0

#
# expand a stream into a Tcl list of whatever.
# this had better be a stream whose items persist beyond the deallocation
# of the stream unless keep is specified.
#

proc du_stream_to_list {stream {keep_stream 0}} {
    global NULL_OB
    set list {};
    while {"[set item [dt_next $stream]]" != "$NULL_OB"} {
	lappend list $item;
    }
    if { ! $keep_stream} {
	dt_dealloc $stream;
    }
    return $list;
}
