package require Dayswig_tcl
package provide libdaytcl 1.0

#
#  du_symbol -- Get atom's atomic symbol.
#
#	Like dt_symbol, but converts symbol to lowercase if the atom
#	is aromatic
#


proc du_symbol {atom} {
    set symbol [dt_symbol $atom];
    if {"$symbol" == {}} {
	return {};
    }
    if {[dt_aromatic $atom]} {
	set symbol [string tolower $symbol];
    }
    return symbol;
}
