package require Dayswig_tcl
package provide libdaytcl 1.0

#
# list the graphics attributes defined by the daylight dl_ga.h header
# file.  These are all named DL_GA_* except for a few.

proc du_list_gas {} {
    DL_GA_INCLUDED;
    set gas {};
    foreach ga [info procs DL_GA_*] {
	switch -glob $ga {
	    *_INCLUDED -
	    *_COUNT -
	    *_LIMIT {
		; # skip these
	    }
	    * {
		lappend gas $ga;
	    }
	}
    }
    return $gas;
}
