package require Dayswig_tcl
package provide libdaytcl 1.0

#
# convert a tcl list into a daylight sequence
# assuming that the elements of the list are
# all daylight objects of some kind.
#


proc du_list_to_sequence {list} {
    set sequence [dt_alloc_seq];
    foreach item $list {
	dt_append $sequence $item;
    }
    dt_reset $sequence;
    return $sequence;
}
