package require Dayswig_tcl
package provide libdaytcl 1.0

#
# split a smiles into its disconnected parts, preserving
# all information present.
#
# returns a tcl list of smiles.
#

proc du_smi_split {smi} {

    foreach mol [du_split [dt_smilin $smi]] {
	lappend smiles [dt_cansmiles $mol 1];
	dt_dealloc $mol;
    }
    return $smiles;
}
